
From: David Mosberger <davidm@napali.hpl.hp.com>

Darrene Williams <dsw@gelato.unsw.edu.au> noticed that the #endif for
__ARCH_WANT_SYS_SIGPROCMASK was off by one routine.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/signal.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/signal.c~move-endif-to-correct-place kernel/signal.c
--- 25/kernel/signal.c~move-endif-to-correct-place	2004-06-02 00:20:15.462200488 -0700
+++ 25-akpm/kernel/signal.c	2004-06-02 00:20:15.476198360 -0700
@@ -2478,6 +2478,7 @@ sys_sigprocmask(int how, old_sigset_t __
 out:
 	return error;
 }
+#endif /* __ARCH_WANT_SYS_SIGPROCMASK */
 
 #ifndef __sparc__
 asmlinkage long
@@ -2508,7 +2509,6 @@ out:
 	return ret;
 }
 #endif /* __sparc__ */
-#endif
 
 #ifdef __ARCH_WANT_SYS_SGETMASK
 
_
